VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::OptimizationInfo Class Reference
Inheritance diagram for Com::Vmware::Content::Library::OptimizationInfo:

## Avaliable Methods
public method | get_optimize_remote_publishing ()
public method | new ()
public method | set_optimize_remote_publishing ()

## Detailed Description

The `Com::Vmware::Content::Library::OptimizationInfo` class defines different optimizations and optimization parameters applied to particular library.

## Member Function Documentation

public method Com::Vmware::Content::Library::OptimizationInfo::get_optimize_remote_publishing | ( |  | ) |

Gets the value of 'optimize_remote_publishing' property.

Return values

  optimize_remote_publishing | - The current value of the field. If set to `true` then library would be optimized for remote publishing.

Turn it on if remote publishing is dominant use case for this library. Remote publishing means here that publisher and subscribers are not the part of the same `Vcenter` SSO domain.

Any optimizations could be done as result of turning on this optimization during library creation. For example, library content could be stored in different format but optimizations are not limited to just storage format.

Note, that value of this toggle could be set only during creation of the library and you would need to migrate your library in case you need to change this value (optimize the library for different use case).

optional#

Code:
click to view
# Number of lines of code in get_optimize_remote_publishing: 4
sub get_optimize_remote_publishing {
my ($self, %args) = @_;
return $self->{'optimize_remote_publishing'};
}

public method Com::Vmware::Content::Library::OptimizationInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::OptimizationInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{optimize_remote_publishing} = $args{'optimize_remote_publishing'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::OptimizationInfo');
$self->set_binding_name('name' => 'com.vmware.content.library.optimization_info');
$self->set_binding_field('key' => 'optimize_remote_publishing', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::OptimizationInfo::set_optimize_remote_publishing | ( |  | ) |

Sets the given value for 'optimize_remote_publishing' property.

Parameters

  optimize_remote_publishing | - New value for the field. If set to `true` then library would be optimized for remote publishing.

Turn it on if remote publishing is dominant use case for this library. Remote publishing means here that publisher and subscribers are not the part of the same `Vcenter` SSO domain.

Any optimizations could be done as result of turning on this optimization during library creation. For example, library content could be stored in different format but optimizations are not limited to just storage format.

Note, that value of this toggle could be set only during creation of the library and you would need to migrate your library in case you need to change this value (optimize the library for different use case).

Code:
click to view
# Number of lines of code in set_optimize_remote_publishing: 5
sub set_optimize_remote_publishing {
my ($self, %args) = @_;
$self->{'optimize_remote_publishing'} = $args{'optimize_remote_publishing'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/OptimizationInfo.pm